
From: Anton Blanchard <anton@samba.org>

Use the new cpu_has_feature macros instead of open coding it.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc64/kernel/pSeries_smp.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

diff -puN arch/ppc64/kernel/pSeries_smp.c~ppc64-use-cpu_has_feature-macro arch/ppc64/kernel/pSeries_smp.c
--- 25/arch/ppc64/kernel/pSeries_smp.c~ppc64-use-cpu_has_feature-macro	2005-05-31 01:45:05.000000000 -0700
+++ 25-akpm/arch/ppc64/kernel/pSeries_smp.c	2005-05-31 01:45:05.000000000 -0700
@@ -375,7 +375,7 @@ static int smp_pSeries_cpu_bootable(unsi
 	 * cpus are assumed to be secondary threads.
 	 */
 	if (system_state < SYSTEM_RUNNING &&
-	    cur_cpu_spec->cpu_features & CPU_FTR_SMT &&
+	    cpu_has_feature(CPU_FTR_SMT) &&
 	    !smt_enabled_at_boot && nr % 2 != 0)
 		return 0;
 
@@ -419,7 +419,7 @@ void __init smp_init_pSeries(void)
 #endif
 
 	/* Mark threads which are still spinning in hold loops. */
-	if (cur_cpu_spec->cpu_features & CPU_FTR_SMT)
+	if (cpu_has_feature(CPU_FTR_SMT)) {
 		for_each_present_cpu(i) {
 			if (i % 2 == 0)
 				/*
@@ -428,8 +428,9 @@ void __init smp_init_pSeries(void)
 				 */
 				cpu_set(i, of_spin_map);
 		}
-	else
+	} else {
 		of_spin_map = cpu_present_map;
+	}
 
 	cpu_clear(boot_cpuid, of_spin_map);
 
_
